Bio::FastParsers::Blast::Xml::Hit(3)

NAME
Bio::FastParsers::Blast::Xml::Hit - NCBI BLAST DTD-derived internal class

VERSION
version 0.221230

SYNOPSIS
    # see Bio::FastParsers::Blast::Xml

DESCRIPTION
This class implements the "Hit" level of the XML BLAST parser.

ATTRIBUTES

  hsps
ArrayRef of Bio::FastParsers::Blast::Xml::Hsp

METHODS

  count_hsps
Returns the number of Hsps of the Hit.

    # $hit is a Bio::FastParsers::Blast::Xml::Hit
    my $count = $hit->count_hsps;

This method does not accept any arguments.

  all_hsps
Returns all the Hsps of the Hit (not an array reference).

    # $hit is a Bio::FastParsers::Blast::Xml::Hit
    my @hsps = $hit->all_hsps;

This method does not accept any arguments.

  get_hsp
Returns one Hsp of the Hit by its index. You can also use negative index numbers, just as with Perl's core array handling. If the specified Hsp does not exist, this method will return "undef".

    # $hit is a Bio::FastParsers::Blast::Xml::Hit
    my $hsp = $hit->get_hsp($index);
    croak "Hsp $index not found!" unless defined $hsp;

This method accepts just one argument (and not an array slice).

  next_hsp
Shifts the first Hsp of the array off and returns it, shortening the array by 1 and moving everything down. If there are no more Hsps in the array, returns "undef".

    # $hit is a Bio::FastParsers::Blast::Xml::Hit
    while (my $hsp = $hit->next_hsp) {
        # process $hsp
        # ...
    }

This method does not accept any arguments.

  accession
Returns the value of the element "<Hit_accession">.

    # $hit is a Bio::FastParsers::Blast::Xml::Hit
    my $accession = $hit->accession;

This method does not accept any arguments.

  def
Returns the value of the element "<Hit_def">.

    # $hit is a Bio::FastParsers::Blast::Xml::Hit
    my $def = $hit->def;

This method does not accept any arguments.

  id
Returns the value of the element "<Hit_id">.

    # $hit is a Bio::FastParsers::Blast::Xml::Hit
    my $id = $hit->id;

This method does not accept any arguments.

  len
Returns the value of the element "<Hit_len">.

    # $hit is a Bio::FastParsers::Blast::Xml::Hit
    my $len = $hit->len;

This method does not accept any arguments.

  num
Returns the value of the element "<Hit_num">.

    # $hit is a Bio::FastParsers::Blast::Xml::Hit
    my $num = $hit->num;

This method does not accept any arguments.

ALIASES

  query_len
Alias for "query_len" method in Iteration object. For API completeness.

AUTHOR
Denis BAURAIN <denis.baurain@uliege.be>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by University of Liege / Unit of Eukaryotic Phylogenomics / Denis BAURAIN.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.